# NetBox Cloud Pilot

[NetBox Cloud Pilot](https://github.com/Onemind-Services-LLC/netbox-cloud-pilot) is a specialized plugin tailored for
NetBox, offering enhanced functionality for users on the
[CloudMyDC public Cloud platform (VAP)](https://app.xapp.cloudmydc.com/). This plugin simplifies the management of
various NetBox components and infrastructure, streamlining processes and offering a more integrated experience.

NetBox Cloud Pilot, developed and maintained by [Onemind Services LLC](https://onemindservices.com/), introduces an
exclusive plugin store for NetBox. It caters to users with a diverse range of both free and paid plugins, enhancing the
NetBox experience.

## Features

NetBox Cloud Pilot integrates several key features:

- **Management of NetBox Settings**: Control settings for Database (DB), Redis, System, and security and much more.
- **Infrastructure Log Viewing**: Access and monitor logs from different nodes within the infrastructure.
- **Node Restart Capabilities**: Remotely restart nodes within the infrastructure.
- **Database Backup and Restoration**: Manage and restore DB backups.
- **Plugin Management**: Install, uninstall, and configure other NetBox plugins.

## Compatibility

| NetBox Version | Plugin Version |
|----------------|----------------|
| v3.5.x         | v0.0.x         |
| v3.6.x         | v0.1.x         |

# Installation

For updates, visit [NetBox Cloud Pilot releases](https://github.com/Onemind-Services-LLC/netbox-cloud-pilot/releases).

## Support

For support, questions, or feedback, please file an issue on our [GitHub issue tracker](https://github.com/Onemind-Services-LLC/netbox-cloud-pilot/issues).

## Contributing

Contributions to NetBox Cloud Pilot are welcome! If you'd like to contribute, please fork the repository and submit a
pull request. For more detailed information, refer to our contributing guidelines in the repository.
